Index: src/lib-storage/index/mbox/mbox-sync-parse.c
===================================================================
RCS file: /var/lib/cvs/dovecot/src/lib-storage/index/mbox/mbox-sync-parse.c,v
retrieving revision 1.49.2.2
diff -u -r1.49.2.2 mbox-sync-parse.c
--- src/lib-storage/index/mbox/mbox-sync-parse.c	17 Jun 2006 17:11:29 -0000	1.49.2.2
+++ src/lib-storage/index/mbox/mbox-sync-parse.c	10 Jan 2007 01:55:26 -0000
@@ -495,6 +495,9 @@
 
 			if (!func->func(ctx, hdr)) {
 				/* this header is broken, remove it */
+				i_error("Broken header: %s: %*.s",
+					hdr->name, (int)hdr->full_value_len,
+					hdr->full_value);
 				ctx->need_rewrite = TRUE;
 				str_truncate(ctx->header, line_start_pos);
 				if (ctx->header_first_change == (size_t)-1) {
